
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS快速实现环形渐变进度条_IOS / iVAN</title>

    <meta name="description" content="iOS快速实现环形渐变进度条_IOS 前言 进度条相信我们大家都不陌生,往往我们很多时候需要使用到圆形进度条.这篇文章给大家分享了利用iOS如何快速实现环形进度条,下面来一起看看. 一:先制作一个不带颜色渐变的进度条 自定义一个cycleView,在.m 中实现drawRect方法 - (void)drawRect:(CGRect)rect { CGContextRef ctx = UIGraphicsGetCurrentContext();//获取上下文 CGPoint center = CGPointMake(100, 100)">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS快速实现环形渐变进度条_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>进度条相信我们大家都不陌生，往往我们很多时候需要使用到圆形进度条。这篇文章给大家分享了利用iOS如何快速实现环形进度条，下面来一起看看。</p>
<p><strong>一：先制作一个不带颜色渐变的进度条</strong></p>
<p>自定义一个<code>cycleView</code>，在.m 中实现<code>drawRect</code>方法</p>
<pre>
- (void)drawRect:(CGRect)rect {

  CGContextRef ctx = UIGraphicsGetCurrentContext();//获取上下文

  CGPoint center = CGPointMake(100, 100); //设置圆心位置
  CGFloat radius = 90; //设置半径
  CGFloat startA = - M_PI_2; //圆起点位置
  CGFloat endA = -M_PI_2 + M_PI * 2 * _progress; //圆终点位置

  UIBezierPath *path = [UIBezierPath bezierPathWithArcCenter:center radius:radius startAngle:startA endAngle:endA clockwise:YES];

  CGContextSetLineWidth(ctx, 10); //设置线条宽度
  [[UIColor blueColor] setStroke]; //设置描边颜色

  CGContextAddPath(ctx, path.CGPath); //把路径添加到上下文

  CGContextStrokePath(ctx); //渲染

}</pre>
<p>因为<code>drawRect</code>方法只是在视图刚刚出现的时候执行一次，所以我们需要使用</p>
<pre>
[self setNeedsDisplay];</pre>
<p>这个方法来进行重新绘制，</p>
<p>在控制器里面加一个<code>slider</code>，滑动<code>slider</code>来控制进度变化</p>
<pre>
- (void)drawProgress:(CGFloat )progress
{
  _progress = progress;
  [self setNeedsDisplay];
}</pre>
<p>看一下效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTQyMTA1MDQ5LnBuZw==.jpg"></p>
<p>如果进度条不需要加渐变色，那么这儿几行代码就完成了。</p>
<p>下面来实现一下带有渐变色的进度条，原理很简单，刚刚画的是一条默认是黑色的线条，我们把黑色替换成一条渐变色的线条就可以了。</p>
<p><strong>环形渐变色线条的制作：</strong></p>
<p><strong>第一步<br /></strong></p>
<p>使用<code>CAShapeLayer</code>绘制出渐变层，应为它只能指定两个点之间进行渐变，所以这里需要两个<code>CAShapeLayer</code>，左边一个和右边一个，看一下效果图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTQyNTI1NjQwLmpwZw==.jpg"></p>
<p><strong>代码实现</strong></p>
<pre>
//生成渐变色
  CALayer *gradientLayer = [CALayer layer];

  //左侧渐变色
  CAGradientLayer *leftLayer = [CAGradientLayer layer];
  leftLayer.frame = CGRectMake(0, 0, self.bounds.size.width / 2, self.bounds.size.height);  // 分段设置渐变色
  leftLayer.locations = @[@0.3, @0.9, @1];
  leftLayer.colors = @[(id)[UIColor yellowColor].CGColor, (id)[UIColor greenColor].CGColor];
  [gradientLayer addSublayer:leftLayer];

  //右侧渐变色
  CAGradientLayer *rightLayer = [CAGradientLayer layer];
  rightLayer.frame = CGRectMake(self.bounds.size.width / 2, 0, self.bounds.size.width / 2, self.bounds.size.height);
  rightLayer.locations = @[@0.3, @0.9, @1];
  rightLayer.colors = @[(id)[UIColor yellowColor].CGColor, (id)[UIColor redColor].CGColor];
  [gradientLayer addSublayer:rightLayer];</pre>
<p>这个渐变层只是一个中间变量，是不能显示出来的，我这里只是演示一下，现在我们已经拿到了渐变层gradientLayer。</p>
<p><strong>第二步</strong></p>
<p>我们需要制作一个环形路径</p>
<p>先看一下效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTQyNjI0NzU3LmpwZw==.jpg"></p>
<p><strong>代码实现：</strong></p>
<pre>
CGPoint center = CGPointMake(100, 100);
  CGFloat radius = 90;
  CGFloat startA = - M_PI_2; //设置进度条起点位置
  CGFloat endA = -M_PI_2 + M_PI * 2 * _progress; //设置进度条终点位置

  //获取环形路径（画一个圆形，填充色透明，设置线框宽度为10，这样就获得了一个环形）
  _progressLayer = [CAShapeLayer layer];//创建一个track shape layer
  _progressLayer.frame = self.bounds;
  _progressLayer.fillColor = [[UIColor clearColor] CGColor]; //填充色为无色
  _progressLayer.strokeColor = [[UIColor redColor] CGColor]; //指定path的渲染颜色,这里可以设置任意不透明颜色
  _progressLayer.opacity = 1; //背景颜色的透明度
  _progressLayer.lineCap = kCALineCapRound;//指定线的边缘是圆的
  _progressLayer.lineWidth = 10;//线的宽度
  UIBezierPath *path = [UIBezierPath bezierPathWithArcCenter:center radius:radius startAngle:startA endAngle:endA clockwise:YES];//上面说明过了用来构建圆形
  _progressLayer.path =[path CGPath]; //把path传递給layer，然后layer会处理相应的渲染，整个逻辑和CoreGraph是一致的。
  [self.layer addSublayer:_progressLayer];</pre>
<p><strong>第三步，也是最后一步了</strong></p>
<p>用我们在第二步生成的环形路径去截取第一步生成的渐变层</p>
<pre>
[gradientLayer setMask:_progressLayer]; //用progressLayer来截取渐变层
self.layer addSublayer:gradientLayer];</pre>
<p>截取的layer层就是我们最后需要的，看一看我们最后截取后得到的</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTQyNzMxMjY1LmpwZw==.jpg"></p>
<p>到这里，我们已经完成了99%了，最后一步，根据自己的需要让它显示多少的比例就完成了。比例的控制在第二部的progress属性，比例在0-1之间，看一看最后的效果。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTQyODAxMTM5LmpwZw==.jpg"></p>
<p><strong>总结</strong></p>
<p>以上就是这篇文章的全部内容了，希望本文的内容对大家的学习和工作能带来一定的帮助，如果有疑问大家可以留言交流。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios<br />
                    ，                圆形进度条<br />
                                    环形进度条动画<br />
                                    css3环形渐变进度条、ios 环形渐变色进度条、环形渐变色进度条、ios 环形进度条实现、css3实现环形进度条，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:30:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e5%9c%86%e5%bd%a2%e8%bf%9b%e5%ba%a6%e6%9d%a1/" title="圆形进度条">圆形进度条</a>, <a href="https://www.iamivan.net/tag/%e7%8e%af%e5%bd%a2%e8%bf%9b%e5%ba%a6%e6%9d%a1%e5%8a%a8%e7%94%bb/" title="环形进度条动画">环形进度条动画</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS快速实现环形渐变进度条_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qyw6p.html" rel="bookmark">IOS绘制动画颜色渐变折线条&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家展示下效果图: 概述 现状 折线图的应用比较广泛,为了增强用户体验,很多应用中都嵌入了折线图.折线图可以更加直观的表示数据的变化.网络上有很多绘制折线图的demo,有的也使用了动画,但是线条颜色渐变的折线图的demo少之又少,甚至可以说没有.该Blog阐述了动画绘制线条颜色渐变的折线图的实现方案,以及折线图线条颜色渐变的实现原理,并附以完整的示例. 成果 本人已将折线图封装到了一个UIView子类中,并提供了相应的接口.该自定义折线图视图,基本上可以适用于大部分需要集成折线图的项目.若你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamRkgb.html" rel="bookmark">iOS之小功能模块--彩虹动画进度条学习和自主封装改进</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 首先展示一下这个iOS小示例的彩色进度条动画效果: 阅读本文先说说好处:对于基础不好的读者,可以直接阅读文末尾的&quot;如何使用彩虹动画进度条&quot;章节,然后将我封装好的这个功能模块类用到你的工程项目中即可. 这个效果的示例是老外Nick Jensen在2013年写的一个作品:使用CAGradientLayer的动画进度条View. 本人阅读了老外的源码之后,觉得老外这个进度条的效果很不错,但是觉得他写的代码有待改进. 小贴士:读者可以直接将老外的源码下载下来,跑一下,然后对比本人写的博			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLEDjM.html" rel="bookmark">android自定义进度条渐变圆形&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在安全卫生上,经常看到有圆形的进度条在转动,效果非常好看,于是就尝试去实现一下,具体实现过程不多说了,直接上效果图,先炫耀下. 效果图: 分析:比较常见于扫描结果.进度条等场景 利用canvas.drawArc(RectF oval, float startAngle, float sweepAngle, boolean useCenter, Paint paint)绘制圆弧 Paint的一些属性定义粗细.颜色.样式等 LinearGradient实现颜色的线型渐变 同样的道理,可以画出长条进度			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYxPab.html" rel="bookmark">Android应用中炫酷的横向和环形进度条的实例分享&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述最近需要用进度条,秉着不重复造轮子的原则,上github上搜索了一番,看了几个觉得比较好看的ProgressBar,比如:daimajia的等.简单看了下代码,基本都是继承自View,彻彻底底的自定义了一个进度条.盯着那绚丽滚动条,忽然觉得,为什么要通过View去写一个滚动条,系统已经提供了ProgressBar以及属于它的特性,我们没必要重新去构建一个,但是系统的又比较丑,不同版本变现还不一定一样.那么得出我们的目标:改变系统ProgressBar的样子. 对没错,我们没有必要去从0打			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNm9Xob.html" rel="bookmark">Android环形进度条&lpar;安卓默认形式&rpar;实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开发中,有很多的功能在实际应用中都起了很大的作用,比如android进度条的实现方式,下面给大家介绍Android环形进度条(安卓默认形式),具体内容如下所示: .xml &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:layout_widt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKmVQap.html" rel="bookmark">Android中制作进度框和环形进度条的简单实例分享&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				进度框 import android.content.Context; import android.graphics.Canvas; import android.graphics.Color; import android.graphics.Paint; import android.util.AttributeSet; import android.view.View; import java.util.Random; public class ObliqueProgressbar ext			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NPRjp.html" rel="bookmark">安卓开发之自定义ProgressBar简单完成颜色渐变功能进度条</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在使用电脑或者手机时,经常会遇到进度条,比如下图: 开发之自定义ProgressBar简单完成颜色渐变功能进度条-progressbar进度条&quot;&gt; 今天我来演示一下,如何做出简单并且漂亮的颜色渐变进度条. 首先我先新建了一个系统默认样式的进度条,代码如下: 运行后显示如下: 大家可以看出,并不是很好看,那么下面开始进行自定义进度条的编写吧! 首先为ProgressBar设置一个drawable,代码如下: 这个代码在哪呢,请回到上面新建系统默认样式进度条时,其中一个属性为  style			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Ne1xb.html" rel="bookmark">Android 自定义圆形带刻度渐变色的进度条样式实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果图 一.绘制圆环 圆环故名思意,第一个首先绘制是圆环 1:圆环绘制函数 圆环API public void drawArc (RectF oval, float startAngle, float sweepAngle, boolean useCenter, Paint paint) 参数说明 oval:圆弧所在的椭圆对象. startAngle:圆弧的起始角度. sweepAngle:圆弧的角度. useCenter:是否显示半径连线,true表示显示圆弧与圆心的半径连线,false表示不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnlAkp.html" rel="bookmark">Android自定义带水滴的进度条样式（带渐变色效果）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.直接看效果 二.直接上代码 1.自定义控件部分 package com.susan.project.myapplication; import android.app.Activity; import android.content.Context; import android.graphics.Bitmap; import android.graphics.BitmapFactory; import android.graphics.Canvas; import android.grap			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvGK8p.html" rel="bookmark" class="title">Word中复制粘贴后MathType公式乱码怎么办</a>
					<div>
						  MathType公式复制到Word中后乱码示例 出现此种问题的原因一般来说,是Mathtype复制粘贴格式设置错误,解决方法如下: 1.在MathType编辑窗口中,选择&quot;预置&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm313b.html" rel="bookmark" class="title">Html的几个小技巧</a>
					<div>
						技巧 虽然现在有许多网页制作工具能让您轻松地完成工作,但如果使用HTML则可以得到更大控制权,下面介绍几个小技巧. 1.使用&lt;tt&gt;,&lt;i&gt;,&lt;br&gt;语句来控制文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdl33p.html" rel="bookmark" class="title">网页制作初学者来看：认识XHTML DHTML SHTML的区别</a>
					<div>
						dhtml|xhtml|初学|区别|网页 我们经常会在一个技术性网站或BBS见到这三个东东:XHTML DHTML SHTML,它们到底是怎么回事呢?我们看下面的说明与讲解. XHTML: HTML是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQqq8b.html" rel="bookmark" class="title">Photoshop与Flash合作制作模糊渐变动画</a>
					<div>
						渐变 在一些片头动画里我们经常能看到很炫的模糊效果,极具视觉冲击.高质量的模糊效果大多利用Photoshop处理后才导入flash中进行制作.其实,在Flash中也可以利用其脚本功能来实现动态模糊的效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQEvwb.html" rel="bookmark" class="title">传统企业业务员如何突破瓶颈 利用seo突围</a>
					<div>
						传统企业这几年来,借助于网络营销的互联网平台,已经从中获了丰厚的回报,特别是中小型企业较为突出,而且依赖的程度越加明显. 笔者在从事网络营销工作当中,接触了相当多的传统企业主,也越加深刻的感受到网络营 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgak1z.html" rel="bookmark" class="title">验证控件介绍--CompareValidator</a>
					<div>
						控件 为了比较两个控件的值,此时我们需要使用CompareValidator 控件.在下面的这个例子中,我们将讲解CompareValidator 控件的用法.先看文件validata4.aspx:& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7jNqp.html" rel="bookmark" class="title">Linux下C编程：sigsuspend进程阻塞</a>
					<div>
						int sigsuspend(const sigset_t *sigmask); 此函数用于进程的挂起,sigmask指向一个信号集.当此函数被调用时,sigmask所指向的信号集中的信号将赋值给信号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rw4jp.html" rel="bookmark" class="title">一个完善的ODBC数据库程序</a>
					<div>
						大家知道用VC开发数据库程序,一般有两种选择:ODBC或ADO.ODBC出现的较早,用的人也多.ADO是微软正大力支持和发展的技术,致力于学习VC的程序员应该现在就学习这种技术. 在这个例字中我还是采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy4gGb.html" rel="bookmark" class="title">简介&period;Net框架下的各种加密解密算法</a>
					<div>
						该文章将会不断的收入.net下的加密算法,这些算法将会采用策略模式来统一管理. using System; using System.Collections.Generic; using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLmrZb.html" rel="bookmark" class="title">DNN快速入门教程1</a>
					<div>
						在网上潜水好久发现很多朋友对DotNetNuke这个开源的.NET CMS系统感兴趣但是又无从入手,在这个系列里我会向大家全面的介绍一下DotNetNuke, 看过之后希望你会对这个系统有所了解. 首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlEVvb.html" rel="bookmark" class="title">PS图层样式制作一个铜钱</a>
					<div>
						  PS图层样式制作一个铜钱          步骤: 1.打开ps,新建一个空白文档,用&quot;椭圆工具&quot;,按住&quot;shift&quot;键绘制一个正圆,填充颜色; 2.先按住 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjy6vp.html" rel="bookmark" class="title">Shell中函数返回值超出问题</a>
					<div>
						  这篇文章主要介绍了Shell中函数返回值超出问题,shell中通过return返回是有限制的,最大返回255,超过255,则从0开始计算,需要的朋友可以参考下 1.前言 快半年没有写博客了,荒废了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EJ64M.html" rel="bookmark" class="title">Win7如何关闭远程差分压缩</a>
					<div>
						  1.首先点击开始菜单,然后在搜索框直接输入&quot;打开或关闭Windows功能&quot;,回车或鼠标点击上方的&quot;打开或关闭 Windows 功能&quot;; 2.然后在打开&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZK3Zb.html" rel="bookmark" class="title">OSS无缝数据迁移方案</a>
					<div>
						背景 众所周知,云计算的出现改变了IT世界的格局,更低廉的成本和更加易于扩展的特点都成为了传统软件行业改变的动力.而阿里云在此基础上提供了更加完善的服务,更高的可靠性,以及更加低廉的价格,成为了业界值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqALxZM.html" rel="bookmark" class="title">oracle 12c rac安装acfs文件系统教程</a>
					<div>
						这篇文章介绍了如何在一个已经安装12c rac的虚拟机上,如何建立acfs文件系统,并且利用acfs snapshot刷一个COW(Copy-On-Write)库出来做测试库. Highlight S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRJXXz.html" rel="bookmark" class="title">站长选择网站关键词时注意的三点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站关键词的选择恰当与否,跟后期做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NE8qz.html" rel="bookmark" class="title">Guava 是个风火轮之基础工具&lpar;4&rpar;</a>
					<div>
						前言 Guava 是 Java 开发者的好朋友.虽然我在开发中使用 Guava 很长时间了,Guava API 的身影遍及我写的生产代码的每个角落,但是我用到的功能只是 Guava 的功能集中一个少的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQPmAp.html" rel="bookmark" class="title">android-Android 终端模拟器开发</a>
					<div>
						问题描述 Android 终端模拟器开发 2C 如何在android apk中实现linux系统终端的功能?比如像Android Terminal Emulator这个apk一样,显示一个终端界面,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwXm5M.html" rel="bookmark" class="title">Android使用TextView，设置onClick属性无效解决办法</a>
					<div>
						Android在布局文件中为View提供了onClick属性,使用方法如下: &lt;TextView android:id=&quot;@+id/user&quot; android:layout_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5N3xM.html" rel="bookmark" class="title">windows-修改注册表后浏览器无法代理上网。</a>
					<div>
						问题描述 修改注册表后浏览器无法代理上网. 修改位置为HKEY_CURRENT_USERSoftwareMicrosoftWindowsCurrentVersionInternet SettingsC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjvGJM.html" rel="bookmark" class="title">虚拟机 安装 freebsd-vmware安装freebsd 10&period;0 出问题？？？求教</a>
					<div>
						问题描述 vmware安装freebsd 10.0 出问题???求教 不能分区,比如/ swap 等,无法输入数字和选择挂载点					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAQ1JM.html" rel="bookmark" class="title">github-root用户可以git clone，但普通用户就不能git clone</a>
					<div>
						问题描述 root用户可以git clone,但普通用户就不能git clone ubuntu 14 LTS OS 按照网上的教程,ssh-keygen后,复制id_rsa.pub内的内容到githu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBqy8b.html" rel="bookmark" class="title">《stm32嵌入式系统开发实战指南》一1&period;4 微控制器选型</a>
					<div>
						1.4 微控制器选型 在项目的最初阶段,首先需要解决的问题是选择适合工程需要的微控制器.通常,选择一款适合工程需求的微控制器,不仅需要考虑成本.主频.硬件接口,还需要考虑是否运行操作系统.配套的开发工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVx6b.html" rel="bookmark" class="title">提升用户购买欲望的手段</a>
					<div>
						摘要: 做电商产品朋友都知道,在同样的条件下,营造不同的氛围,使用不同的手段,用户的购买购买欲望则不同,商场里五一促销.淘宝上的双11活动,都会让你的欲望翻倍,买了好多东西 做电商产品朋友都知道,在同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M602oLz.html" rel="bookmark" class="title">Android将list数据通过LitePal保存到本地（集合保存到本地）</a>
					<div>
						有时候我们需要将list集合保存到本地,自己写起来太麻烦,就找到了强大的框架LItePal,git地址  https://github.com/LitePalFramework/LitePal 本文来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ4evp.html" rel="bookmark" class="title">C&num; 写的Winform页面下载程序 在没有抛出异常的情况下退出程序</a>
					<div>
						问题描述 C#写的Winform页面下载程序在没有抛出异常的情况下退出程序但是线程依然存在请问一下当正常与不正常的情况下,程序是不是都会通过CLoseing的事件退出程序呢谢谢~~!!在线等 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JPEAz.html" rel="bookmark" class="title">android-关于Android中的surfaceHolder&period;lockCanvas&lpar;&rpar;</a>
					<div>
						问题描述 关于Android中的surfaceHolder.lockCanvas() 解决方案 代码如下,线程每隔1秒调用drawView方法,屏幕上应该是每隔10像素依次画红线,但是效果却是红线不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N8ZDz.html" rel="bookmark" class="title">SQL 分布式查询、插入递增列示例&lowbar;MsSql</a>
					<div>
						复制代码 代码如下: truncate table TestTable EXEC sp_configure 'show advanced options', 1; -- 开启高级配置 RECONFIG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK43WM.html" rel="bookmark" class="title">做一个管网管理系统，购买GIS软件需要多少钱</a>
					<div>
						问题描述 请各位有项目经验的同行了解一下,买软件需要多少钱?一个朋友做一个项目,他公司没有做GIS项目的经验,想找相关公司合作.现向我了解GIS相关问题.一个非洲大型城市(估计和中国一般省会城市的规模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZgJBb.html" rel="bookmark" class="title">android 安卓-安卓控件点击事件，适配器中的listview</a>
					<div>
						问题描述 安卓控件点击事件,适配器中的listview listview里面每一个item加入一个popwindow 固定位置,如何实现随着listview的滑动而滑动 解决方案 学习笔记之安卓的显示 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
